import request from '@/utils/request'

// 创建ETM 设备台账信息
export function createEquipmentBase(data) {
  return request({
    url: '/etm/equipment-base/create',
    method: 'post',
    data: data
  })
}

// 更新ETM 设备台账信息
export function updateEquipmentBase(data) {
  return request({
    url: '/etm/equipment-base/update',
    method: 'put',
    data: data
  })
}

// 删除ETM 设备台账信息
export function deleteEquipmentBase(id) {
  return request({
    url: '/etm/equipment-base/delete?id=' + id,
    method: 'delete'
  })
}

// 获得ETM 设备台账信息
export function getEquipmentBase(id) {
  return request({
    url: '/etm/equipment-base/get?id=' + id,
    method: 'get'
  })
}

// 获得ETM 设备台账信息分页
export function getEquipmentBasePage(query) {
  return request({
    url: '/etm/equipment-base/page',
    method: 'get',
    params: query
  })
}

// 导出ETM 设备台账信息 Excel
export function exportEquipmentBaseExcel(query) {
  return request({
    url: '/etm/equipment-base/export-excel',
    method: 'get',
    params: query,
    responseType: 'blob'
  })
}
